Bug 999366 - Review Request: se-sandbox-runner -- Qt wrapper for SELinux Sandbox
Review Request: se-sandbox-runner -- Qt wrapper for SELinux Sandbox
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2013-08-21 04:44 EDT by Fl@sh
Modified: 2016-08-10 04:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: se-sandbox-runner-1.3.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 20:31:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
licensecheck (2.75 KB, text/plain)
2013-09-06 08:19 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Fl@sh 2013-08-21 04:44:36 EDT
Spec URL: https://raw.github.com/F1ash/se-sandbox-runner/1.0/se-sandbox-runner.spec

SRPM URL: http://f1ash.fedorapeople.org/se-sandbox-runner/se-sandbox-runner-1.0-1.fc19.src.rpm

Description: Qt-wrap for SELinux Sandbox (sandbox).
Application run and control the configured jobs, running into sandbox.
Job settings restores in application`s config.

Fedora Account System Username: f1ash

Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5835806
Comment 1 Kevin Kofler 2013-08-22 18:28:40 EDT
> Description: Qt-wrap for SELinux Sandbox (sandbox).

Description: Qt wrapper for SELinux Sandbox.

(Likewise in the summary. Please note that it doesn't make sense to explain "Sandbox" by "(sandbox)", at least in the English version. ;-) )

> Application run and control the configured jobs, running into sandbox.

This application runs and controls the configured jobs, running in a sandbox.

> Job settings restores in application`s config.

Job settings are saved in the application's configuration.

(Please use the ' or ’ characters for apostrophe, not the ` backtick.)
Comment 2 Fl@sh 2013-08-23 04:26:15 EDT
(In reply to Kevin Kofler from comment #1)
> > Description: Qt-wrap for SELinux Sandbox (sandbox).
> 
> Description: Qt wrapper for SELinux Sandbox.
> 
> (Likewise in the summary. Please note that it doesn't make sense to explain
> "Sandbox" by "(sandbox)", at least in the English version. ;-) )
> 
here I meant the name of the package, but let it remain, as you said.
Corrections will be soon.
Thanks :)
Comment 3 Fl@sh 2013-08-23 04:29:23 EDT
name of the package == name of utility *
Comment 7 Igor Gnatenko 2013-09-06 07:48:22 EDT
taking.
Comment 8 Igor Gnatenko 2013-09-06 08:19:15 EDT
Created attachment 794677 [details]
licensecheck
Comment 9 Igor Gnatenko 2013-09-06 08:21:07 EDT
Many many issues are present.
Read https://fedoraproject.org/wiki/Packaging:Guidelines.
I've updated your package w/ fix problems.
Please inform upstream about unknown licenses in sources (see previous attach)
new spec: http://ignatenkobrain.fedorapeople.org/for-review/se-sandbox-runner.spec
new srpm: http://ignatenkobrain.fedorapeople.org/for-review/se-sandbox-runner-1.3.2-2.fc20.src.rpm

Please sync you package w/ my and inform me.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 27 files have unknown license. Detailed output of
     licensecheck in /home/brain/rpmbuild/review-se-sandbox-
     runner/licensecheck.txt
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in se-sandbox-runner
[ ]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define cmake_build_dir build-
     cmake
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: se-sandbox-runner-1.3.2-2.fc19.x86_64.rpm
          se-sandbox-runner-1.3.2-2.fc19.src.rpm
se-sandbox-runner.x86_64: W: no-manual-page-for-binary se-sandbox-runner
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint se-sandbox-runner
se-sandbox-runner.x86_64: W: no-manual-page-for-binary se-sandbox-runner
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
se-sandbox-runner (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    policycoreutils-sandbox
    rtld(GNU_HASH)
    xdg-utils



Provides
--------
se-sandbox-runner:
    se-sandbox-runner
    se-sandbox-runner(x86-64)



Source checksums
----------------
https://github.com/F1ash/se-sandbox-runner/archive/1.3.2/se-sandbox-runner-1.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 00aaa73ca4d9c45dd0a725ff3bebd0462fb4aab9a0f3fae6d9637dc8a1115a45
  CHECKSUM(SHA256) upstream package : 00aaa73ca4d9c45dd0a725ff3bebd0462fb4aab9a0f3fae6d9637dc8a1115a45


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -n se-sandbox-runner
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 11 Igor Gnatenko 2013-09-06 09:15:56 EDT
Ok. let's roll!
Feel free to add me as maintainer.
Comment 12 Fl@sh 2013-09-06 09:26:33 EDT
New Package SCM Request
=======================
Package Name: se-sandbox-runner
Short Description: Qt wrapper for SELinux Sandbox
Owners: f1ash ignatenkobrain
Branches: f18 f19 f20
Comment 13 Gwyn Ciesla 2013-09-06 09:38:53 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-09-06 10:25:10 EDT
se-sandbox-runner-1.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.2-2.fc20
Comment 15 Fedora Update System 2013-09-06 10:27:23 EDT
se-sandbox-runner-1.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.2-2.fc19
Comment 16 Fedora Update System 2013-09-06 10:30:40 EDT
se-sandbox-runner-1.3.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.2-2.fc18
Comment 17 Fedora Update System 2013-09-06 13:25:53 EDT
se-sandbox-runner-1.3.2-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 18 Fedora Update System 2013-09-12 13:55:07 EDT
se-sandbox-runner-1.3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.3-1.fc19
Comment 19 Fedora Update System 2013-09-12 13:55:22 EDT
se-sandbox-runner-1.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.3-1.fc18
Comment 20 Fedora Update System 2013-09-12 13:55:33 EDT
se-sandbox-runner-1.3.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.3-1.fc20
Comment 21 Fedora Update System 2013-09-13 17:35:48 EDT
se-sandbox-runner-1.3.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.3-2.fc19
Comment 22 Fedora Update System 2013-09-13 17:36:00 EDT
se-sandbox-runner-1.3.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.3-2.fc20
Comment 23 Fedora Update System 2013-09-13 17:36:10 EDT
se-sandbox-runner-1.3.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.3-2.fc18
Comment 24 Fedora Update System 2013-09-15 20:31:17 EDT
se-sandbox-runner-1.3.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-09-22 19:48:36 EDT
se-sandbox-runner-1.3.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-09-22 20:08:50 EDT
se-sandbox-runner-1.3.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2013-11-27 14:16:19 EST
se-sandbox-runner-1.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.4-1.fc19
Comment 28 Fedora Update System 2013-11-27 14:16:31 EST
se-sandbox-runner-1.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.4-1.fc20
Comment 29 Fedora Update System 2013-11-27 14:16:42 EST
se-sandbox-runner-1.3.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.4-1.fc18
Comment 30 Fedora Update System 2013-12-10 01:08:37 EST
se-sandbox-runner-1.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2013-12-10 01:19:23 EST
se-sandbox-runner-1.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2013-12-13 21:48:11 EST
se-sandbox-runner-1.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2013-12-27 07:40:45 EST
se-sandbox-runner-1.3.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.5-1.fc19
Comment 34 Fedora Update System 2013-12-27 07:40:58 EST
se-sandbox-runner-1.3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.5-1.fc20
Comment 35 Fedora Update System 2013-12-27 07:41:07 EST
se-sandbox-runner-1.3.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/se-sandbox-runner-1.3.5-1.fc18
Comment 36 Christopher Meng 2013-12-27 07:51:36 EST
FLASH, please don't include this bug in your updates except the first newpackage time.
Comment 37 Fl@sh 2013-12-27 08:01:50 EST
(In reply to Christopher Meng from comment #36)
> FLASH, please don't include this bug in your updates except the first
> newpackage time.

No problem now, but the interface for updates somewhat confused. Thank you for attention.
Comment 38 Kevin Kofler 2013-12-27 08:55:50 EST
Please edit the 1.3.5 updates in Bodhi (admin.fedoraproject.org/updates) and remove the bogus references to this bug.
Comment 39 Fl@sh 2013-12-27 09:17:12 EST
(In reply to Kevin Kofler from comment #38)
> Please edit the 1.3.5 updates in Bodhi (admin.fedoraproject.org/updates) and
> remove the bogus references to this bug.

done. sorry that it delivered so much trouble.

Note You need to log in before you can comment on or make changes to this bug.